Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.controls
Interface FullTextSearchControl<T>

All Superinterfaces
  SearchControl<T>

All Known Subinterfaces:
  CmFullTextSearchControl<Node>, EnterpriseSearchControl, GsFullTextSearchControl<T>, RepoFullTextSearchControl<T>

    public interface FullTextSearchControl<T>

extends SearchControl<T>

This control leverages the full text search capabilites of a full-fledged search engine to search both metadata and binary text. Note that using "*" for the property will search all metadata parameters.

Method Summary
`SortableFilterablePagedResult<T>` | `allOfTheseWords(String[] allWords)` Search text and optionally properties that contain all of these words
`SortableFilterablePagedResult<T>` | `anyOfTheseWords(String[] anyWords)` Search text and optionally properties that contain any of these words
`void` | `clearMetadataParameters()` Clear existing metadata parameters on the control
`Set<String>` | `getSearchDatabases()` Show available databases to search.
`TextSearchBuilder` | `getTextSearchBuilder()` Access the TextSearchBuilder for more complex query construction for text
`SortableFilterablePagedResult<T>` | `search(String[] allWords, String[] anyWords, String exactPhrase)` Construct a FullTextSearch object that will search metadata and text based on all of these restrictions.
`void` | `setMetadataParameter(IMetadataQueryParameter param)` Add other restrictions on properties.
`void` | `setMetadataParameters(IMetadataQueryParameter[] param)` Add other restrictions on properties.
`void` | `setSearchDatabases(Set<String> databases)` Once we know from which databases we can choose, we can limit the search to that set of databases.
`void` | `setSearchScope(GroupSpaceSearch.FullTextScope scope)` Set the search scope of the control.
`SortableFilterablePagedResult<T>` | `textContains(String text)` Text contains this value todo: give examples
`SortableFilterablePagedResult<T>` | `textEquals(String text)` Match the exact value

Methods inherited from interface com.bea.apps.groupspace.search.controls.SearchControl
`asList, asSet, flushSearchCache, getSortCriteria, setSortCriteria`

Method Detail

### search

    SortableFilterablePagedResult<T> search(String[] allWords,
                                            String[] anyWords,
                                            String exactPhrase)
                                            throws Exception

  Construct a FullTextSearch object that will search metadata and text based on all of these restrictions. These restrictions are 'ANDED' together

  Throws
    `Exception`

### setSearchScope

    void setSearchScope(GroupSpaceSearch.FullTextScope scope)

  Set the search scope of the control. This will default to FullTextScope.ALL if not set.

### clearMetadataParameters

    void clearMetadataParameters()

  Clear existing metadata parameters on the control

### setMetadataParameter

    void setMetadataParameter(IMetadataQueryParameter param)

  Add other restrictions on properties. These will all be ANDED with the existing control parameters

### setMetadataParameters

    void setMetadataParameters(IMetadataQueryParameter[] param)

  Add other restrictions on properties. These will all be ANDED with the existing control parameters

### setSearchDatabases

    void setSearchDatabases(Set<String> databases)
                            throws Exception

  Once we know from which databases we can choose, we can limit the search to that set of databases. This method will throw an exception if the database is not to be used with the control. For example, the CmFullTextSearchControl will exclude the GroupSpace repository, and the EnterpriseSearchControl will exclude all BEA content repositories.

  Throws
    `Exception`

### textEquals

    SortableFilterablePagedResult<T> textEquals(String text)
                                                throws Exception

  Match the exact value

  Throws
    `Exception`

### textContains

    SortableFilterablePagedResult<T> textContains(String text)
                                                  throws Exception

  Text contains this value todo: give examples

  Throws
    `Exception`

### allOfTheseWords

    SortableFilterablePagedResult<T> allOfTheseWords(String[] allWords)
                                                     throws Exception

  Search text and optionally properties that contain all of these words

  Throws
    `Exception`

### anyOfTheseWords

    SortableFilterablePagedResult<T> anyOfTheseWords(String[] anyWords)
                                                     throws Exception

  Search text and optionally properties that contain any of these words

  Throws
    `Exception`

### getSearchDatabases

    Set<String> getSearchDatabases()
                                   throws Exception

  Show available databases to search. Some controls will only show those they are allowed to access.

  Throws
    `Exception`

### getTextSearchBuilder

    TextSearchBuilder getTextSearchBuilder()

  Access the TextSearchBuilder for more complex query construction for text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved